# Update_Customer

Update a customer.

`PUT /v2/customers/{id}`

**API:** Avalara CertCapture RESTful APIs
**Tag:** Customers
**API Version:** v2
**Base URL:** https://sbx-api.certcapture.com/v2/
**Content-Type:** `application/x-www-form-urlencoded`
**Accepts:** `application/json`
**Authentication:** Basic (username + license key) or API Key (`Authorization` in header)

Source: https://developer.avalara.com/products/ecm/api/certcapture/methods/Customers/Update_Customer/

## Description

Update a customer record for a company.

## Parameters

| Name | Type | In | Required | Description |
|---|---|---|---|---|
| `x-client-id` | integer | header | Yes | To access a client ID, it is available from Company Settings -> Company Details -> Company ID |
| `id` | integer | path | Yes | The id of the customer object |
| `customer_number` | string | formData | No | The customer number is a unique number, per company, for a customer. |
| `alternate_id` | string | formData | No | An alternate id for a customer. |
| `name` | string | formData | No | The name of the Customer. |
| `attn_name` | string | formData | No | An optional attention name field for your customer. |
| `address_line1` | string | formData | No | The first line of the customers address. |
| `address_line2` | string | formData | No | The second line of the customers address. |
| `city` | string | formData | No | The city field of the customers address. |
| `zip` | string | formData | No | The zip field of the customers address. |
| `phone_number` | string | formData | No | The phone number for the customer. |
| `fax_number` | string | formData | No | The fax number for the customer. |
| `email_address` | string | formData | No | The email_address of the customer. |
| `contact_name` | string | formData | No | The contact name of the customer. |
| `state` | array | formData | No | The state where the customer resides. |
| `country` | array | formData | No | The country where the customer resides. |

## Responses

| Status | Description | Schema |
|---|---|---|
| 200 | Success | `CustomerResource` |
| 400 | Bad Request |  |
| 401 | Unauthorized |  |

### 200 Response: `CustomerResource`

CertCapture customer resource

| Property | Type | Required | Description |
|---|---|---|---|
| `data` | CustomerResponse | No |  |

## Example Request

```bash
curl -X PUT "https://sbx-api.certcapture.com/v2/v2/customers/{id}" \
  -H "Authorization: Basic <credentials>" \
  -H "Content-Type: application/x-www-form-urlencoded" \
  -H "Accept: application/json"
```